import {Component, Inject, ViewChild, OnInit} from '@angular/core';
import {DataSvc} from "../services/DataSvc";
import * as wjGrid from 'wijmo/wijmo.grid';
import * as wjCore from "wijmo/wijmo";
import * as wjInput from "wijmo/wijmo.input";
import * as wjSheet from 'wijmo/wijmo.grid.sheet';
@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    public data: wjCore.CollectionView;
    public childData: wjCore.CollectionView;
    private _isResized = false;
    private _isLoaded = true;
    
    constructor( @Inject(DataSvc) private _dataSvc: DataSvc) {
        this.data = new wjCore.CollectionView(this._dataSvc.getData(10));
        
    }
    initSheet(s: wjSheet.FlexSheet, e: wjCore.EventArgs) {
        let hostElem = document.createElement('div'),            
            grid = new wjGrid.FlexGrid(hostElem, {
                autoGenerateColumns: false,
                itemsSource: this.data,
                columns: [
                    { binding: 'id', header: 'ID (Custom)' },
                    { binding: 'description', header: 'Description [Custom]',width:'2*' },
                    { binding: 'country',width:'*' },
                    { binding: 'sales' },
                    { binding: 'downloads' }
                ]
            });
        s.sheets.push(new wjSheet.Sheet(s, grid, 'Random Data'));
    }
}
